package gonin.renevier.philippe.exempletest;

import android.app.Activity;
import android.app.DatePickerDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.os.Bundle;
import android.widget.DatePicker;

import java.util.Calendar;

public class ChoisirDateButtoir extends DialogFragment implements DatePickerDialog.OnDateSetListener {

	public interface EcouterChangementDate {
		
		public void setDate(int year, int month, int day);
		
	}
	
	EcouterChangementDate monEcouteur ; 
	
	

	
	public void setEcouterChangementDate(EcouterChangementDate receveurDate)
	{
		this.monEcouteur = receveurDate;
	}
	
	
	@Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
		Activity app = getActivity();

        // Use the current date as the default date in the picker
        Calendar c = Calendar.getInstance();
        int year = c.get(Calendar.YEAR);
        int month = c.get(Calendar.MONTH);
        int day = c.get(Calendar.DAY_OF_MONTH);

        // Create a new instance of DatePickerDialog and return it
        return new DatePickerDialog(app, this, year, month, day);
    }

    public void onDateSet(DatePicker view, int year, int month, int day) {
        // Do something with the date chosen by the user
    	
    	// pour récuperer l'endroit de retour en cas de rotation
    	// car l'activité aura été réinstanciée...
    	if (monEcouteur == null) 
    		{
    		Activity app = getActivity();
    		if (app instanceof EcouterChangementDate) monEcouteur = (EcouterChangementDate) app ;

    		}
    	
    	if (monEcouteur != null)     		monEcouteur.setDate(year, month, day);

    }
    
    
}