package gonin.renevier.philippe.exempletest;

import java.util.Comparator;

public enum ComparerDate implements Comparator<Datee> {
	CREATION_CROISSANT, CREATION_DECROISSANT, BUTTOIR_CROISSANT, BUTTOIR_DECROISSANT;

	@Override
	public int compare(Datee lhs, Datee rhs) {
		
		Long comparateur = null;
		long comparee = 0; 
		
		switch(this) {
		case CREATION_CROISSANT:
			comparateur = Long.valueOf(lhs.getCreation());
			comparee = rhs.getCreation();
			break;
		case CREATION_DECROISSANT:
			comparateur = Long.valueOf(rhs.getCreation());
			comparee = lhs.getCreation();
			break;
		case BUTTOIR_CROISSANT:
			comparateur = Long.valueOf(lhs.getButtoir());
			comparee = rhs.getButtoir();
			break;
		case BUTTOIR_DECROISSANT:
			comparateur = Long.valueOf(rhs.getButtoir());
			comparee = lhs.getButtoir();
			break;
		}

		if (comparateur != null) return comparateur.compareTo(comparee);
		else return 0;
	}
	
	
	
	
}
